Lavalite package that provides lottery_spell management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `lotto/lottery_spell`.

    "lotto/lottery_spell": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Lotto\LotterySpell\Providers\LotterySpellServiceProvider::class,

And also add it to alias

    'LotterySpell'  => Lotto\LotterySpell\Facades\LotterySpell::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Lotto\\LotterySpell\\Seeders\\LotterySpellTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Lotto\LotterySpell\Providers\LotterySpellServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Lotto\LotterySpell\Providers\LotterySpellServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Lotto\LotterySpell\Providers\LotterySpellServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/lottery_spell/{modulename}

**User**

    http://path-to-route-folder/user/lottery_spell/{modulename}

**Public**

    http://path-to-route-folder/lottery_spells


### API endpoints

**List**

    http://path-to-route-folder/api/user/lottery_spell/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/lottery_spell/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/lottery_spell/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/lottery_spell/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/lottery_spell/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/lottery_spell/{modulename}/{slug}
    METHOD: GET